Page MenuHomePhabricator

Set $wgAllowMicrodataAttributes = true for all wikis by default
Closed, ResolvedPublic

Description

Set $wgAllowMicrodataAttributes = true for all wikis by default.

The feature isn't harmful, does not break or even change anything, and is undoubtfully and unquestionably useful.

See also: T128829

Event Timeline

Danny_B created this task.Mar 15 2016, 5:33 PM
Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptMar 15 2016, 5:33 PM
Dereckson added a subscriber: Dereckson.

This change, if enacted, should be announced.

Dereckson added a subscriber: daniel.EditedMar 15 2016, 5:45 PM

@daniel Why this is a MediaWiki option? Shouldn't be unconditionally enabled in core?

We removed $wgHtml5 in 1.22.

Do we have a reasonable use case of a wiki willing to filter these attributes?

Dereckson updated the task description. (Show Details)Mar 15 2016, 6:36 PM
Dereckson added a subscriber: Johan.

So, I've prepared e789f51 to apply this to MediaWiki core, instead of only WMF wikis. It has been merged today by Daniel.

@Johan This will be deployed as a part of 1.27.0-wmf.18 (excepted if we would like to deploy it sooner, but as we need to announce it, I don't think this is an interesting move), ie according our calendar:

  • Wednesday, 23 March 2016 for wikinews (see specific request at T128829) and other non Wikipedia projects
  • Thursday, 24 March 2016 for Wikipedia projects

What to announce?

MediaWiki markup now supports out of the box two standard of semantic web attributes: Microdata and RDFa 1.0.

Wikimedia projects can so use Microdata. Reference documents could be found at https://html.spec.whatwg.org/multipage/microdata.html and https://www.w3.org/TR/microdata/.

They can also consider to use RDFa, but in this case, they also should consider the opportunity to wait for an update of the MediaWiki core to support the last version RDFa 1.1.

Any project willing to use RDFa 1.0 also have to request a configuration change to set a $wgHtml5Version setting compatible with RDFa.

Suggesting mentioning http://schema.org in the announcement as well.

Hi, I'm trying to write the very short summary for Tech/News... Does this work?
"MediaWiki now supports the web standards of Microdata (by default) and RDFa 1.0 (wikis need to request a configuration change). [https://phabricator.wikimedia.org/T130034#2134865]"
Tweaks or alternatives would be appreciated. (It needs to be very short, and easily translatable).

Also, is there any onwiki documentation, that we could point to? Something that includes examples (including any examples of in-situ usage), and the details (above) about the need to request configuration changes for RDFa 1.0., would be perfect. - Then I could add "See [[foo|further information]]." - I searched mw.org but couldn't see anything uptodate and informative. Thanks!

Yes, that works if we add the keyword "semantic":

MediaWiki now supports the semantic web standards of Microdata (by default)
and RDFa 1.0 (wikis need to request a configuration change). [https://phabricator.wikimedia.org/T130034#2134865]"

Rewritten as:

MediaWiki now supports the semantic web standards of Microdata and RDFa 1.0. On Wikimedia projects, a configuration change must be requested in order to enable RDFa 1.0.

per suggestion from @Hello71 (helping me avoid my addiction to parentheses).

If the onwiki documentation page is ready before ~24 hours from now, I'll add a link to it from now supports.
Thanks again, all. :-)

Dereckson closed this task as Resolved.Mar 25 2016, 4:13 AM
Dereckson triaged this task as Normal priority.
Hello71 removed a subscriber: Hello71.Apr 6 2016, 2:19 PM